Jump to content

snu

Members
  • Content Count

    1
  • Joined

  • Last visited

About snu

  • Rank
    Junior Member

Profile Information

  • Gender
    Female

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. Hi, I own version 1.3, but it doesn't work anymore on Catalina 10.15.4. Therefore I'd like to install and work with Opusmodus 2.0 for a few days until I can afford the upgrade. But I get the message that the "Demo Period expired". How that? I've just only have installed it and not tried. Kind regards, Ulrich
×
×
  • Create New...

Important Information

Terms of Use Privacy Policy